#============== create input file for weight ==============#
command <- "cut -f1,3 skatP.log > SKAT_MAF.txt"
system(command)
tmp = read.table("SKAT_MAF.txt",stringsAsFactors=F)
MAF = as.numeric(unlist(tmp[,2]))
weight = dbeta(tmp[,2], 1, 25)^2
write.table(cbind(tmp[,1], weight), file="weight.txt", col.names=F, row.names=F, quote=F, sep="\t")


#============== create input files for total MACs ==============#
# T1, T5, MB tests
tmp_study1 = read.table("rareP.txt", header=T, stringsAsFactors=F)
tmp_study2 = read.table("rareP.txt", header=T, stringsAsFactors=F)
write.table(cbind(tmp_study1$GENE_ID, tmp_study1$T1_MAC+tmp_study2$T1_MAC), file="MAC_T1.txt", col.names=F, row.names=F, quote=F, sep="\t")
write.table(cbind(tmp_study1$GENE_ID, tmp_study1$T5_MAC+tmp_study2$T5_MAC), file="MAC_T5.txt", col.names=F, row.names=F, quote=F, sep="\t")
write.table(cbind(tmp_study1$GENE_ID, tmp_study1$MB_MAC+tmp_study2$MB_MAC), file="MAC_MB.txt", col.names=F, row.names=F, quote=F, sep="\t")

# VT test
command <- "cut -f1,3 vtP.log > VT_MAC_study1.txt"
system(command)
command <- "cut -f3 vtP.log > VT_MAC_study2.txt"
system(command)
command <- "paste VT_MAC_study1.txt VT_MAC_study2.txt > VT_MAC.txt"
system(command)
command <- "awk '{print $1,\"\t\", $2 = $2 + $3}' VT_MAC.txt > MAC_VT.txt"
system(command)

# SKAT test
command <- "cut -f1,4 skatP.log > SKAT_MAC_study1.txt"
system(command)
command <- "cut -f4 skatP.log > SKAT_MAC_study2.txt"
system(command)
command <- "paste SKAT_MAC_study1.txt SKAT_MAC_study2.txt > SKAT_MAC.txt"
system(command)
command <- "awk '{print $1,\"\t\", $2 = $2 + $3}' SKAT_MAC.txt > MAC_SKAT.txt"
system(command)

# maximum test over (T1, T5, MB) 
command <- "cut -f1,2 maxP.log > max_MAC_study1.txt"
system(command)
command <- "cut -f2 maxP.log > max_MAC_study2.txt"
system(command)
command <- "paste max_MAC_study1.txt max_MAC_study2.txt > max_MAC.txt"
system(command)
command <- "awk '{print $1,\"\t\", $2 = $2 + $3}' max_MAC.txt > MAC_max.txt"
system(command)

#============== create input files for score statistics ==============#
# T1, T5, MB tests
tmp_study1 = read.table("rareP.txt", header=T, stringsAsFactors=F)
tmp_study2 = read.table("rareP.txt", header=T, stringsAsFactors=F)
write.table(cbind(tmp_study1$GENE_ID, tmp_study1$T1_U, tmp_study1$T1_V, tmp_study2$T1_U, tmp_study2$T1_V), file="score_T1.txt", col.names=F, row.names=F, quote=F, sep="\t")
write.table(cbind(tmp_study1$GENE_ID, tmp_study1$T5_U, tmp_study1$T5_V, tmp_study2$T5_U, tmp_study2$T5_V), file="score_T5.txt", col.names=F, row.names=F, quote=F, sep="\t")
write.table(cbind(tmp_study1$GENE_ID, tmp_study1$MB_U, tmp_study1$MB_V, tmp_study2$MB_U, tmp_study2$MB_V), file="score_MB.txt", col.names=F, row.names=F, quote=F, sep="\t")

# VT test
command <- "cut -f1,4- vtP.log > VT_study1.txt"
system(command)
command <- "cut -f4- vtP.log > VT_study2.txt"
system(command)
command <- "paste VT_study1.txt VT_study2.txt > score_VT.txt"
system(command)

# SKAT test
command <- "cut -f1,5- skatP.log > SKAT_study1.txt"
system(command)
command <- "cut -f5- skatP.log > SKAT_study2.txt"
system(command)
command <- "paste SKAT_study1.txt SKAT_study2.txt > score_SKAT.txt"
system(command)

# maximum test over (T1, T5, MB) 
command <- "cut -f1,3- maxP.log > max_study1.txt"
system(command)
command <- "cut -f3- maxP.log > max_study2.txt"
system(command)
command <- "paste max_study1.txt max_study2.txt > score_max.txt"
system(command)
